services:
    Emgmbh\RecordBundle\Service\Pdf:
        arguments: ['@knp_snappy.pdf', '@twig', '%public_dir%']

    Emgmbh\RecordBundle\Service\Alarm:
        public: true
        arguments: ['@doctrine.orm.entity_manager', '@twig', '@cache.app', '@knp_snappy.pdf', '%public_dir%']

    Emgmbh\RecordBundle\Twig\AlarmExtension:
        tags:
            - { name: twig.extension }
        arguments: ['@Emgmbh\RecordBundle\Service\Alarm']

    Emgmbh\RecordBundle\Service\Mail:
        arguments: ['@mailer', '@twig', '%mailer_sender%']
